{
  "type": "minecraft:block",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:poisonous_potato",
          "functions": [
            {
              "function": "set_components",
              "components": {
                "minecraft:item_name": {
                  "translate": "item.overlyrealistic.hard_boiled_turtle_egg",
                  "fallback": "Hard Boiled Turtle Egg",
                  "color": "white"
                },
                "item_model": "overlyrealistic:items/hard_boiled_turtle_egg",
                "custom_data": {
                  "IsCookedTurtleEgg": true,
                  "or_edited_item": true,
                    "or_is_food": true,
                    "or_food_type": "cooked_turtle_egg",
                    "or_food_category": "egg",
                    "or_food_sub_category": "boiled",
                    "or_food_rawness_type": "cooked"
                },
                "damage": 1,
                "max_damage": 10000,
                "max_stack_size": 1,
                "food": {
                  "nutrition": 3,
                  "saturation": 1
                },
                "consumable": {
                  "sound": "entity.generic.eat"
                }
              }
            }
          ]
        }
      ]
    }
  ]
}